Arch: Рамка/Frame

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Frame and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська

Arch Frame.svg Arch Frame

Расположение в меню
Архитектура -> Каркас
Верстаки
Arch
Быстрые клавиши
F R
Представлено в версии
-
См. также
...


Arch Frame.svg Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
Arch Wall, Arch Structure


Определение

Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как sketch или draft object. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты wall или structure .

Arch Frame example.jpg

На приведенном выше рисунке line была преобразована в Массив массива, а объект фрейма был создан с использованием массива как макета, а circle как профиль.

How to use

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
  2. Select the layout object first, then, with Ctrl pressed, select the profile object.
  3. Press the Arch Frame.svg Arch Frame button, or press F then R keys.

Options

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DATABase: The layout this frame is based on.
  • DATAProfile: The profile this frame is based on.
  • DATAAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DATAOffset: An optional distance between the layout object and the frame object.
  • DATARotation: The rotation of the profile around its extrusion axis.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Frame tool can be used in macros and from the Python console by using the following function:

Frame = makeFrame(baseobj, profile)
  • Creates a Frame object from the given baseobj and profile.
    • baseobj is any object containing wires, like a Draft Wire, or a Draft Array with a collection of them.
    • profile is an extrudable 2D object containing faces or closed wires.

Пример:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()